Lilypond et MacOS 10.15

Bonjour,

J'ai bien compris, depuis des mois, qu'il est compliqué de compiler lilypond en 64 bits pour MacOS. Compliqué, mais pas impossible, puisque j'ai vu passer un lien officieux permettant de télécharger la 2.19.xx en 64 bits pour MacOS.

Mais la situation dure depuis des mois et je laisse mes ordis en MacOS 10.14 pour cette seule raison : tous les autres logiciels que j'utilise sont compatibles avec MacOS 10.15 aujourd'hui. Vous me direz peut-être que je n'ai qu'à rester en 10.14, mais non, certaines mises à jour de logiciels ne sont plus d'accord de s'installer en 10.14. Pire, certains logiciels qui m'intéressent, comme Swift Playground par exemple, n'existent que pour 10.15.

Donc voilà, est-ce que quelqu'un sait si on aura bientôt une version officielle de Lilypond 2.20 en 64 bits pour MacOS ? Et en attendant ce jour béni, quelqu'un sait où je peux en trouver une officieuse ?

Je pourrais installer une virtualbox avec linux et la version 2.20. Mais franchement, j'utilise Lilypond quotidiennement et je trouve cette solution un peu lourde. J'ai aussi vu passer des solutions basées sur Docker, mais j'ai eu mal au crâne en essayant de comprendre.

J'ai fait quelques recherches sur internet, mais les discussions trouvées à ce sujet datent de l'automne 2019. J'imagine que de nombreuses personnes sont confrontées au même problème que moi.

Merci d'avance pour vos pistes !

···

Christophe Pochon

Bonjour,
pour information, la version que j’utilise avec Catalina est une 2.20.0 téléchargée de la:
https://bintray.com/marnen/lilypond-darwin-64/lilypond-2.20.0
J’ignore si c’est officiel ou non mais marche parfaitement...du moins pour ce que je fais.
Fonctionne également avec Frescobaldi (sauf que Frescobadi refuse les impressions, il faut repasser par Lilypond pour imprimer ou faire un pdf)

···

Christophe Pochon

Merci beaucoup, c'est déjà ça !

···

Christophe Pochon

Pour une fois où je peux aider! :=)

···

Christophe Pochon

25 mars 2020 à 10:11, Christophe Pochon <****@****> :
Donc voilà, est-ce que quelqu'un sait si on aura bientôt une version
officielle de Lilypond 2.20 en 64 bits pour MacOS ? Et en attendant ce
jour béni, quelqu'un sait où je peux en trouver une officieuse ?

Salut Christophe,
Comme l’a indiqué Marc, les binaires compilés par Marnen sont les
seules disponibles (et sont même appelées à être recommandées par le
site officiel) :

Je pourrais installer une virtualbox avec linux et la version 2.20.

Ou, mieux, tu pourrais utiliser https://www.macports.org/ ou
https://brew.sh/ qui proposent une version relativement à jour
(paraît-il). En tant qu’utilisateur avancé, c’est la solution la plus
intéressante à mon avis.

J'ai fait quelques recherches sur internet, mais les discussions trouvées
à ce sujet datent de l'automne 2019. J'imagine que de nombreuses personnes
sont confrontées au même problème que moi.

Et pour cause : Apple interdit peu ou prou d’utiliser ses outils de
développement pour des logiciels Libres (à moins que ceux-ci ne
cessent de l’être, en gros).

LilyPond a jusqu’à présent été compilé avec une version antédiluvienne
de XCode dont le statut juridique était d’ailleurs plus que crapoteux,
mais qui cesse aujourd’hui de fonctionner notamment pour faire des
compilations modernes en 64 bits. La seule "solution", qui n’en est
pas vraiment une, est donc de laisser une bonne poire (Marnen en
l’occurrence) se dévouer pour utiliser ses propres outils non-Libres
Apple-compatibles, et écoper à notre place de la responsabilité
technique et (surtout) juridique en cas de pépin.

Bref, c’est pas simple mais tu peux dire merci aux tontons Steve et Tim…

V.

Merci Valentin pour ces explications. Ça serait pas mal que le site officiel de Lilypond explique tout ça sur la page de téléchargements. Il va y avoir de plus en plus de gens qui viendront de s'acheter un nouveau Mac et qui ne comprendront pas pourquoi la version qu'ils auront téléchargée sur le site officiel ne fonctionnera pas. C'est arrivé la semaine dernière à ma compagne, qui a été forcée d'acheter un nouveau MacBookPro parce que son ancien avait rendu l'âme. Elle a voulu installer Lilypond et j'ai dû fouiller sur le net pour trouver une version 2.19 compilée en 64 bits (je n'avais pas trouvé de version 2.20)

Pour brew et macports j'y avais pensé, mais sur brew.sh, ils indiquent que la formule qui permet d'installer Lilypond ne fonctionne que sur les macOS antérieurs à 10.5 (Requires: macOS <= 10.14)(https://formulae.brew.sh/cask/lilypond). Je vais tester avec macports. Mais je voulais être sûr d'avoir une solution avant de passer à Catalina, ce que je suis en train de faire (téléchargement en cours).

A+

Christophe

···

Christophe Pochon